#include <stdio.h>

void adjust_point(int *n) {
    if (*n < 0) {
        *n = 0;
    } else if (*n > 100) {
        *n = 100;
    }
}

int main(void) {
    int d = 0;

    printf("Input integer: ");
    scanf("%d", &d);

    adjust_point(&d);
    printf("Result: %d\n", d);

    return 0;
}
